Skip to Content
New release 12 available 🎉
API ReferenceManagementSettings and Server Info

Settings and Server Info

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/settingsGET /v1/settings

Code samples

# You can also use wget curl -X GET /v1/settings \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/settings

Gets the application settings.

Parameters

NameInTypeRequiredDescription
requestqueryManagement.GetSettingsRequestfalseThe request containing the parameters for the application settings to retrieve.

Example responses

200 Response

{"success":true,"code":0,"message":"string","settings":[{"group":"string","name":"string","type":"string","value":null}]}
{ "success": true, "code": 0, "message": "string", "settings": [ { "group": "string", "name": "string", "type": "string", "value": null } ] }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetSettingsResponse

Authentication: API key (x-api-key).

PUT/v1/settingsPUT /v1/settings

Code samples

# You can also use wget curl -X PUT /v1/settings \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/settings

Updates the application settings.

Body parameter

{ "settings": [ { "group": "string", "name": "string", "type": "string", "value": null } ] }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.UpdateSettingsRequestfalseThe request containing the updated settings.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateSettingsResponse

Authentication: API key (x-api-key).

GET/v1/infoGET /v1/info

Code samples

# You can also use wget curl -X GET /v1/info \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/info

Gets the server information.

Example responses

200 Response

{"success":true,"code":0,"message":"string","product":"string","edition":0,"version":"string","license":"string","serverHost":"string","serverTime":"2019-08-24T14:15:22Z","clientAddress":"string","activeTokens":0,"maxTokens":0,"activationTokens":0,"floatingTokens":0,"expiredTokens":0,"totalLicenses":0,"revokedLicenses":0,"tracedLicenses":0,"activationLicenses":0,"floatingLicenses":0,"fileLicenses":0}
{ "success": true, "code": 0, "message": "string", "product": "string", "edition": 0, "version": "string", "license": "string", "serverHost": "string", "serverTime": "2019-08-24T14:15:22Z", "clientAddress": "string", "activeTokens": 0, "maxTokens": 0, "activationTokens": 0, "floatingTokens": 0, "expiredTokens": 0, "totalLicenses": 0, "revokedLicenses": 0, "tracedLicenses": 0, "activationLicenses": 0, "floatingLicenses": 0, "fileLicenses": 0 }

Responses

StatusMeaningDescriptionSchema
200OK The server information has been retrieved successfully. Example:
{
“Product”: “Babel Licensing Service”,
“Version”: “10.7.0"
"ServerHost”: “172.34.12.1"
"ServerTime”: “2022-01-01T00:00:00Z”,
…
}Management.GetServerInfoResponse

Authentication: API key (x-api-key).

Last updated on